de.vc.io.rtf.parser

## Class DocInfo

- java.lang.Object
- - de.vc.io.rtf.parser.TokenHandler
  - - de.vc.io.rtf.parser.DefaultTokenHandler
    - - de.vc.io.rtf.parser.DocInfo

-     public class DocInfo
      extends DefaultTokenHandler

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `KEY_AUTHOR`
    `static int` | `KEY_BACKUP_TIME`
    `static java.lang.String` | `KEY_CATEGORY`
    `static java.lang.String` | `KEY_COMMENT`
    `static java.lang.String` | `KEY_COMPANY`
    `static int` | `KEY_CREATION_TIME`
    `static java.lang.String` | `KEY_DOCCOMM`
    `static java.lang.String` | `KEY_HLINKBASE`
    `static java.lang.String` | `KEY_KEYWORDS`
    `static java.lang.String` | `KEY_MANAGER`
    `static java.lang.String` | `KEY_OPERATOR`
    `static int` | `KEY_PRINT_TIME`
    `static int` | `KEY_REVISION_TIME`
    `static java.lang.String` | `KEY_SUBJECT`
    `static java.lang.String` | `KEY_TITLE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Date` | `getDateInfo(int key)`
    `java.lang.String` | `getInfo(java.lang.String key)`

    - ### Methods inherited from class de.vc.io.rtf.parser.DefaultTokenHandler

      `getCurrentProperties, getParserState, getTokenInput, handleBraceClosed, handleBraceOpened, handleControl, handleText, readTextBytes, readTextOnly, skipCurrentLevel`

    - ### Methods inherited from class de.vc.io.rtf.parser.TokenHandler

      `getDefaultEncoding, getDefinitions, getTextEncoding, handleOptionalHyphen, handleText, handleToken`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### KEY_TITLE

          public static final java.lang.String KEY_TITLE

      See Also:
        Constant Field Values

    - #### KEY_SUBJECT

          public static final java.lang.String KEY_SUBJECT

      See Also:
        Constant Field Values

    - #### KEY_AUTHOR

          public static final java.lang.String KEY_AUTHOR

      See Also:
        Constant Field Values

    - #### KEY_MANAGER

          public static final java.lang.String KEY_MANAGER

      See Also:
        Constant Field Values

    - #### KEY_COMPANY

          public static final java.lang.String KEY_COMPANY

      See Also:
        Constant Field Values

    - #### KEY_OPERATOR

          public static final java.lang.String KEY_OPERATOR

      See Also:
        Constant Field Values

    - #### KEY_CATEGORY

          public static final java.lang.String KEY_CATEGORY

      See Also:
        Constant Field Values

    - #### KEY_KEYWORDS

          public static final java.lang.String KEY_KEYWORDS

      See Also:
        Constant Field Values

    - #### KEY_COMMENT

          public static final java.lang.String KEY_COMMENT

      See Also:
        Constant Field Values

    - #### KEY_DOCCOMM

          public static final java.lang.String KEY_DOCCOMM

      See Also:
        Constant Field Values

    - #### KEY_HLINKBASE

          public static final java.lang.String KEY_HLINKBASE

      See Also:
        Constant Field Values

    - #### KEY_CREATION_TIME

          public static final int KEY_CREATION_TIME

      See Also:
        Constant Field Values

    - #### KEY_REVISION_TIME

          public static final int KEY_REVISION_TIME

      See Also:
        Constant Field Values

    - #### KEY_PRINT_TIME

          public static final int KEY_PRINT_TIME

      See Also:
        Constant Field Values

    - #### KEY_BACKUP_TIME

          public static final int KEY_BACKUP_TIME

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getInfo

          public java.lang.String getInfo(java.lang.String key)

    - #### getDateInfo

          public java.util.Date getDateInfo(int key)

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.